import 'package:injectable/injectable.dart';
import 'package:example_clean/domain/repositories/todo/todo_repository.dart';
import 'package:example_clean/data/data_sources/todo/todo_local_data_source.dart';
import 'package:example_clean/data/data_sources/todo/todo_remote_data_source.dart';
import 'package:example_clean/data/mappers/index.dart';

@Injectable(as: TodoRepository)
class TodoRepositoryImpl implements TodoRepository {
  final TodoLocalDataSource _local;
  final TodoRemoteDataSource _remote;

  const TodoRepositoryImpl(this._remote, this._local);
}
