import 'package:flutter_modular/flutter_modular.dart';
import 'package:projectbasesnow/projectbasesnow.dart';
import 'package:example_clean_complete/data/constants/constants.dart';
import 'package:example_clean_complete/data/helpers/error_mapper.dart';

import 'app/app_module.dart';
import 'app_flavor_values.dart';
import 'di/di.dart';

void main() {
  RunAppSnow(
    ModularApp(
      module: AppModule(),
    ),
    flavorValues: Constants.flavorQa,
    getItInit: () {
      Resource.setErrorMapper(ErrorMapper.from);
      configureInjection(qa.name);
    },
    flavor: Flavor.qa,
  );
}
