part of './create_clean_architecture.dart';

void _createAppFiles(String package, bool complete) {
  createStaticFile(
    libPath('app/app_module.dart'),
    complete
        ? templates.startAppModuleCleanComplete(package)
        : templates.startAppModuleClean(package),
  );
  createStaticFile(
    libPath('app/app_widget.dart'),
    complete
        ? templates.startAppWidgetCleanComplete(package)
        : templates.startAppWidgetClean(package),
  );

  if (complete) {
    createStaticFile(
      libPath('app/stores/auth/auth_store.dart'),
      templates.authStore(package),
    );
  }
}
