import 'dart:io';

Future<void> changeGitIgnore(
    String workingDirectory, String filesToAdd, String fileToBeReplaced) async {
  final file = File('$workingDirectory/.gitignore');
  String contents = await file.readAsString();
  contents = contents.replaceFirst(fileToBeReplaced, filesToAdd);
  return file.writeAsString(contents);
}
