import 'dart:convert';
import 'dart:io';

void upgrade() {
  bool isFlutterDart = true;

  if (Platform.isWindows) {
    var process = Process.runSync("where", ["snow"], runInShell: true);

    isFlutterDart =
        process.stdout.toString().contains("flutter\\.pub-cache\\bin\\snow");
  } else {
    var process = Process.runSync("which", ["snow"], runInShell: true);
    isFlutterDart =
        process.stdout.toString().contains("flutter/.pub-cache/bin/snow");
  }

  if (isFlutterDart) {
    print("Upgrade in Flutter Dart VM");
    Process.runSync("flutter", ["pub", "global", "activate", "snow"],
        runInShell: true);
  } else {
    print("Upgrade in Dart VM");
    Process.runSync("pub", ["global", "activate", "snow"], runInShell: true);
  }

  var process =
      Process.runSync("snow", ["-v"], runInShell: true, stdoutEncoding: utf8);
  print(process.stdout);
}
