String launchSettingsVsCode() => '''
{
    // Use IntelliSense to learn about possible attributes.
    // Hover to view descriptions of existing attributes.
    // For more information, visit: https://go.microsoft.com/fwlink/?linkid=830387
    "version": "0.2.0",
    "configurations": [
        {
            "name": "Flutter Dev - DEBUG",
            "request": "launch",
            "type": "dart",
            "program": "lib/main_dev.dart"
        },
        {
            "name": "Flutter QA - DEBUG",
            "request": "launch",
            "type": "dart",
            "program": "lib/main_qa.dart"
        },
        {
            "name": "Flutter Prod - DEBUG",
            "request": "launch",
            "type": "dart",
            "program": "lib/main_production.dart"
        },
        {
            "name": "Flutter Dev - PROFILE",
            "request": "launch",
            "type": "dart",
            "program": "lib/main_dev.dart",
            "args": [
                "--profile"
            ]
        },
        {
            "name": "Flutter QA - PROFILE",
            "request": "launch",
            "type": "dart",
            "program": "lib/main_qa.dart",
            "args": [
                "--profile"
            ]
        },
        {
            "name": "Flutter Prod - PROFILE",
            "request": "launch",
            "type": "dart",
            "program": "lib/main_production.dart",
            "args": [
                "--profile"
            ]
        },
        {
            "name": "Flutter Dev - RELEASE",
            "request": "launch",
            "type": "dart",
            "program": "lib/main_dev.dart",
            "args": [
                "--release"
            ]
        },
        {
            "name": "Flutter QA - RELEASE",
            "request": "launch",
            "type": "dart",
            "program": "lib/main_qa.dart",
            "args": [
                "--release"
            ]
        },
        {
            "name": "Flutter Prod - RELEASE",
            "request": "launch",
            "type": "dart",
            "program": "lib/main_production.dart",
            "args": [
                "--release"
            ]
        }
    ]
}
''';

String launchSettingsVsCodeFlavor() => '''
{
    // Use IntelliSense to learn about possible attributes.
    // Hover to view descriptions of existing attributes.
    // For more information, visit: https://go.microsoft.com/fwlink/?linkid=830387
    "version": "0.2.0",
    "configurations": [
        {
            "name": "Flutter Dev - DEBUG",
            "request": "launch",
            "type": "dart",
            "program": "lib/main_dev.dart",
            "args": [
                "--flavor",
                "dev"
            ]
        },
        {
            "name": "Flutter QA - DEBUG",
            "request": "launch",
            "type": "dart",
            "program": "lib/main_qa.dart",
            "args": [
                "--flavor",
                "qa"
            ]
        },
        {
            "name": "Flutter Prod - DEBUG",
            "request": "launch",
            "type": "dart",
            "program": "lib/main_production.dart",
            "args": [
                "--flavor",
                "prod"
            ]
        },
        {
            "name": "Flutter Dev - PROFILE",
            "request": "launch",
            "type": "dart",
            "program": "lib/main_dev.dart",
            "args": [
                "--profile",
                "--flavor",
                "dev"
            ]
        },
        {
            "name": "Flutter QA - PROFILE",
            "request": "launch",
            "type": "dart",
            "program": "lib/main_qa.dart",
            "args": [
                "--profile",
                "--flavor",
                "qa"
            ]
        },
        {
            "name": "Flutter Prod - PROFILE",
            "request": "launch",
            "type": "dart",
            "program": "lib/main_production.dart",
            "args": [
                "--profile",
                "--flavor",
                "prod"
            ]
        },
        {
            "name": "Flutter Dev - RELEASE",
            "request": "launch",
            "type": "dart",
            "program": "lib/main_dev.dart",
            "args": [
                "--release",
                "--flavor",
                "dev"
            ]
        },
        {
            "name": "Flutter QA - RELEASE",
            "request": "launch",
            "type": "dart",
            "program": "lib/main_qa.dart",
            "args": [
                "--release",
                "--flavor",
                "qa"
            ]
        },
        {
            "name": "Flutter Prod - RELEASE",
            "request": "launch",
            "type": "dart",
            "program": "lib/main_production.dart",
            "args": [
                "--release",
                "--flavor",
                "prod"
            ]
        }
    ]
}
''';
