import 'package:flutter_modular/flutter_modular.dart';
import 'package:projectbasesnow/projectbasesnow.dart';

import 'package:example_mvc_modular/src/app_module.dart';
import 'app_flavor_values.dart';

void main() {
  RunAppSnow(
    ModularApp(
      module: AppModule(),
    ),
    flavorValues: AppFlavorValues(
      baseUrl: 'https://jsonplaceholder.typicode.com',
    ),
    flavor: Flavor.dev,
    enableDevicePreview: false,
  );
}
