import 'package:flutter_snow_blower/src/templates/templates.dart' as templates;
import 'package:flutter_snow_blower/src/utils/file_utils.dart';
import 'package:flutter_snow_blower/src/utils/utils.dart';

void createWidgetsStartFiles(String widgetsPath) {
  createStaticFile(
    libPath('${widgetsPath}custom_alert_dialog/custom_alert_dialog.dart'),
    templates.customAlertDialog(),
  );
  createStaticFile(
    libPath('${widgetsPath}custom_alert_dialog/types/error_dialog.dart'),
    templates.errorDialogType(),
  );
  createStaticFile(
    libPath('${widgetsPath}custom_alert_dialog/types/confirm_dialog.dart'),
    templates.confirmDialogType(),
  );
  createStaticFile(
    libPath('${widgetsPath}observer_future/observer_future.dart'),
    templates.observerFuture(),
  );
}
